Bug 472819 - Review Request: rubygem-rufus-scheduler - Scheduler for Ruby (at, cron and every jobs)
Review Request: rubygem-rufus-scheduler - Scheduler for Ruby (at, cron and ev...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 476530
  Show dependency treegraph
 
Reported: 2008-11-24 15:34 EST by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 16:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2008-11-24 15:34:13 EST
Spec URL: http://mcpierce.fedorapeople.org/rubygem-rufus-scheduler.spec
SRPM URL: http://mcpierce.fedorapeople.org/rubygem-rufus-scheduler-1.0.11-1.fc10.src.rpm
Description: Scheduler for Ruby (at, cron and every jobs), formerly known as
'openwferu-scheduler'
Comment 1 Darryl L. Pierce 2008-12-01 10:46:28 EST
Follow up to the request. It's been over a week without any response to my review request.
Comment 2 Jason Tibbitts 2008-12-02 15:07:01 EST
I hope you realize that there are over 700 review requests in the queue, and that while they will all receive attention eventually, one week including a major US holiday is a bit of an ask.
Comment 3 Darryl L. Pierce 2008-12-18 10:50:03 EST
New version of the GEM was released today, so the SRPM and spec are updated now:

Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler-1.0.12-1.fc10.src.rpm
Comment 4 Darryl L. Pierce 2009-02-02 09:14:09 EST
New version of the gem was released today, so the SRPM and spec have been updated:

Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler-1.0.13-1.fc10.src.rpm
Comment 5 Susi Lehtola 2009-04-29 15:08:50 EDT
- I don't know if this is normal for ruby gems, but you're using a non-standard documentation location:

%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/README.txt
%doc %{geminstdir}/CHANGELOG.txt
%doc %{geminstdir}/CREDITS.txt

Please fix this, for example by adding
 %setup -c -T

and after the install:

 mkdir doc/
 mv %{gemdir}/doc/%{gemname}-%{version} %{geminstdir}/README.txt \ 
 %{geminstdir}/CHANGELOG.txt %{geminstdir}/CREDITS.txt doc/

Then your %doc section should be just
 %doc doc/*

- The line
 Requires: ruby(abi) = 1.8
is missing. Please add this. [ http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines ]

- You can probably drop the
 %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
since you're not using it anywhere.
---

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK

SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. NEEDSFIX

SHOULD: The package builds in mock. OK
Comment 6 Darryl L. Pierce 2009-04-29 16:19:55 EDT
(In reply to comment #5)
> - I don't know if this is normal for ruby gems, but you're using a non-standard
> documentation location:

That's a standard location for Ruby gems:

(mcpierce@mcpierce-laptop:~)$ ls /usr/lib/ruby/gems/1.8/doc/
actionmailer-2.1.1  activeresource-2.1.1       daemons-1.0.7     gruff-0.3.4    rake-0.8.4       rufus-scheduler-1.0.13
actionpack-2.1.1    activesupport-2.1.1        fastthread-1.0.1  hoe-1.12.1     RedCloth-4.1.9   tlsmail-0.0.1
activerecord-2.1.1  cgi_multipart_eof_fix-2.3  gem_plugin-0.2.3  mongrel-1.0.1  rubyforge-1.0.3

Maybe the Ruby packaging guidelines should add a guideline for this?

http://fedoraproject.org/wiki/Packaging/Ruby#Build_Architecture_and_File_Placement

> - The line
>  Requires: ruby(abi) = 1.8
> is missing. Please add this. [
> http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines ]

Fixed.

> 
> - You can probably drop the
>  %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
> since you're not using it anywhere.

Removed.

> SHOULD: If the package does not include license text(s) as separate files from
> upstream, the packager should query upstream to include it. NEEDSFIX

Fixed. LICENSE.txt is in the RPM but I didn't note it as a doc.

Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rufus-scheduler-1.0.13-2.fc10.src.rpm
Comment 7 Susi Lehtola 2009-04-29 17:01:33 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > - I don't know if this is normal for ruby gems, but you're using a non-standard
> > documentation location:
> 
> That's a standard location for Ruby gems:

OK, in that case.
 
> Maybe the Ruby packaging guidelines should add a guideline for this?
> 
> http://fedoraproject.org/wiki/Packaging/Ruby#Build_Architecture_and_File_Placement

Indeed.

**

The package has been

APPROVED
Comment 8 Darryl L. Pierce 2009-04-29 20:45:41 EDT
New Package CVS Request
=======================
Package Name: rubygem-rufus-scheduler
Short Description: Scheduler for Ruby
Owners: mcpierce
Branches: F-10 F-11 EL-5
InitialCC:
Comment 9 Kevin Fenzi 2009-04-30 00:41:08 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.